--- old/usr/src/cmd/stat/kstat/kstat.c	2013-03-13 17:08:29.394225285 -0400
+++ new/usr/src/cmd/stat/kstat/kstat.c	2013-03-13 17:08:29.409407706 -0400
@@ -33,7 +33,6 @@
  *
  * Incompatibilities:
  *	- perl regular expressions replaced with extended REs bracketed by '/'
- *	- options checking is stricter
  *
  * Flags added:
  *	-C	similar to the -p option but value is separated by a colon
@@ -255,12 +254,6 @@
 				}
 			}
 
-			if (m < 4) {
-				free(uselector);
-				usage();
-				exit(2);
-			}
-
 			uselflg = B_TRUE;
 			list_insert_tail(&selector_list, uselector);
 		} else {
@@ -297,7 +290,7 @@
 	if (uselflg) {
 		if (nselflg) {
 			(void) fprintf(stderr, gettext(
-			    "module:instance:name:statistic and "
+			    "[module[:instance[:name[:statistic]]]] and "
 			    "-m -i -n -s are mutually exclusive"));
 			usage();
 			exit(2);
@@ -362,7 +355,7 @@
 	    "      [ -m module ] [ -i instance ] [ -n name ] [ -s statistic ]\n"
 	    "      [ interval [ count ] ]\n"
 	    "kstat [ -Cjlpq ] [ -T d|u ] [ -c class ]\n"
-	    "      [ module:instance:name:statistic ... ]\n"
+	    "      [ module[:instance[:name[:statistic]]] ... ]\n"
 	    "      [ interval [ count ] ]\n"));
 }
 
--- old/usr/src/man/man1m/kstat.1m	2013-03-13 17:08:30.031523572 -0400
+++ new/usr/src/man/man1m/kstat.1m	2013-03-13 17:08:30.042306699 -0400
@@ -17,7 +17,7 @@
 .LP
 .nf
 \fBkstat\fR [\fB-Cjlpq\fR] [\fB-T\fR u | d ] [\fB-c\fR \fIclass\fR]
-     [\fImodule\fR:\fIinstance\fR:\fIname\fR:\fIstatistic\fR]...
+     [\fImodule\fR[:\fIinstance\fR[:\fIname\fR[:\fIstatistic\fR]]]]...
      [interval [count]]
 .fi
 
